---
- name: install postgresql
  apt:
    name:
      - postgresql-contrib
      - python-psycopg2
    install_recommends: false
  environment:
    LC_ALL: C.UTF-8

- name: configure postgresql
  block:
    - name: add postgresql user
      postgresql_user:
        name: git

    - name: add postgresql db
      postgresql_db:
        name: salsa
        owner: git

    - name: add pg_trgm extension
      postgresql_ext:
        name: pg_trgm
        db: salsa
  become: true
  become_user: postgres
